[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64DecodingMode

Decoding mode for stream

## Declaration

Source position: base64.pp line 58

`type TBase64DecodingMode = (`
`bdmStrict,` |  | Strict encoding
`bdmMIME` |  | MIME encoding
`);`

## Description

TBase64DecodingMode determines the decoding algorithm used by TBase64DecodingStream. There are 2 modes:

bdmStrict
  Strict mode, which follows RFC3548 and rejects any characters outside of base64 alphabet. In this mode only up to two '=' characters are accepted at the end. It requires the input to have a Size being a multiple of 4, otherwise an EBase64DecodingException exception is raised.
bdmMime
  MIME mode, which follows RFC2045 and ignores any characters outside of base64 alphabet. In this mode any '=' is seen as the end of string, it handles apparently truncated input streams gracefully.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .